<?php
 
 
 

namespace PhpWA\Protocol\Proto\Message\PeerDataOperationRequestMessage;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class HistorySyncChunkRetryRequest extends \Google\Protobuf\Internal\Message
{
    


    protected $syncType = null;
    


    protected $chunkOrder = null;
    


    protected $chunkNotificationId = null;
    


    protected $regenerateChunk = null;

    











    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getSyncType()
    {
        return isset($this->syncType) ? $this->syncType : 0;
    }

    public function hasSyncType()
    {
        return isset($this->syncType);
    }

    public function clearSyncType()
    {
        unset($this->syncType);
    }

    




    public function setSyncType($var)
    {
        GPBUtil::checkEnum($var, \PhpWA\Protocol\Proto\Message\HistorySyncType::class);
        $this->syncType = $var;

        return $this;
    }

    



    public function getChunkOrder()
    {
        return isset($this->chunkOrder) ? $this->chunkOrder : 0;
    }

    public function hasChunkOrder()
    {
        return isset($this->chunkOrder);
    }

    public function clearChunkOrder()
    {
        unset($this->chunkOrder);
    }

    




    public function setChunkOrder($var)
    {
        GPBUtil::checkUint32($var);
        $this->chunkOrder = $var;

        return $this;
    }

    



    public function getChunkNotificationId()
    {
        return isset($this->chunkNotificationId) ? $this->chunkNotificationId : '';
    }

    public function hasChunkNotificationId()
    {
        return isset($this->chunkNotificationId);
    }

    public function clearChunkNotificationId()
    {
        unset($this->chunkNotificationId);
    }

    




    public function setChunkNotificationId($var)
    {
        GPBUtil::checkString($var, True);
        $this->chunkNotificationId = $var;

        return $this;
    }

    



    public function getRegenerateChunk()
    {
        return isset($this->regenerateChunk) ? $this->regenerateChunk : false;
    }

    public function hasRegenerateChunk()
    {
        return isset($this->regenerateChunk);
    }

    public function clearRegenerateChunk()
    {
        unset($this->regenerateChunk);
    }

    




    public function setRegenerateChunk($var)
    {
        GPBUtil::checkBool($var);
        $this->regenerateChunk = $var;

        return $this;
    }

}

